# hey Emacs, its -*- rpm-spec -*-
# $Id: ethereal,v 1.14 2002/12/09 16:28:12 ab Exp $
Summary: 	Network traffic analyzer
Name: 		ethereal
Version:	0.9.8
Release: 	alt1
Copyright: 	GPL
Group: 		Monitoring
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.bz2
Source1: 	ethereal.wmconfig
Source2:	ethereal-usermode.tar.gz
Source3:	ethereal-gnome1.2.tar.gz
Source4:	ethereal-kde2.tar.gz
Url: 		http://www.ethereal.com/
Icon: 		ethereal-logo-small.gif
Requires: 	gtk+ >= 1.2
Requires: 	libpcap >= 0.4
Requires: 	libucd-snmp >= 4.2
# Automatically added by buildreq on Thu Apr 18 2002
BuildRequires: XFree86-devel XFree86-libs bison flex glib-devel 
BuildRequires: gtk+-devel libpcap-devel libssl libucd-snmp-devel 
BuildRequires: openssl-devel python22 sh ucd-snmp zlib-devel-static

%package   base
Summary:   ethereal base package
Group:     Monitoring
Requires:  libpcap >= 0.4
Requires:  libucd-snmp
Obsoletes: ethereal

%package   gtk+
Summary:   GTK+ GUI for ethereal package
Group:     Monitoring
Requires:  gtk+ >= 1.2
Requires:  consolehelper
Requires:  %name-base == %{version}-%{release}
Provides:  %name

%package   consolehelper
Summary:   Consolehelper integration for ethereal
Group:     Monitoring
Requires:  consolehelper
Requires:  %name-base == %{version}-%{release}
Requires:  %name-gtk+ == %{version}-%{release}

%package   gnome
Summary:   Gnome integration for ethereal and ethereal-usermode
Group:     Monitoring
Requires:  gnome-core >= 1.2
Requires:  %name-base == %{version}-%{release}
Requires:  %name-gtk+ == %{version}-%{release}
Requires:  %name-consolehelper == %{version}-%{release}

%package   kde
Summary:   KDE integration for ethereal and ethereal-usermode
Group:     Monitoring
Requires:  kdebase >= 2.0
Requires:  %name-base == %{version}-%{release}
Requires:  %name-gtk+ == %{version}-%{release}
Requires:  %name-consolehelper == %{version}-%{release}

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

%description base
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

%description gtk+
Contains GTK+ GUI ie. the ethereal -application.

%description consolehelper
Contains ethereal integration to consolehelper execution package

%description gnome
Contains ethereal icon for Gnome 1.2+ and desktop integration file

%description kde
Contains ethereal icons for KDE2 and desktop integration files

%prep
%setup -q
#%patch

%build
#CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
#CC="gcc -I%{_includedir}/pcap" CFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="$RPM_OPT_FLAGS" \
%configure \
   --enable-zlib \
   --enable-snmp \
   --with-ucdsnmp \
   --with-ssl \
   --enable-pcap \
   --with-gnu-ld \
   --disable-static \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version} \
   --sysconfdir=%_sysconfdir/%name \
   --bindir=%_sbindir
make

%install

make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/wmconfig
install -m 644 %SOURCE1 \
	$RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig/%name

# unpack support files for usermode, gnome and kde
( cd ${RPM_BUILD_ROOT} 
  tar xvzf %{SOURCE2}
  tar xvzf %{SOURCE3}
  tar xvzf %{SOURCE4} )

# install man
mkdir -p $RPM_BUILD_ROOT/%_man1dir
install -m 644 *.1 $RPM_BUILD_ROOT/%_man1dir


%clean

%files base
%config %_sysconfdir/ethereal/manuf
%attr(755,root,root) %_sbindir/editcap
%attr(755,root,root) %_sbindir/tethereal
%_man1dir/editcap.*
%_man1dir/tethereal.*
%dir %_libdir/ethereal
%dir %_libdir/ethereal/plugins
%dir %_libdir/ethereal/plugins/%version/
%{_libdir}/ethereal/plugins/%version/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/

%files gtk+
%defattr(-,root,root)
%config(missingok) %_sysconfdir/X11/wmconfig/ethereal
%attr(755,root,root) %_sbindir/ethereal
%_man1dir/ethereal.*

%files consolehelper
%defattr(0644,root,root)
%_sysconfdir/pam.d/ethereal
%_sysconfdir/security/console.apps/ethereal
%attr(-,root,root) %_bindir/ethereal

%files gnome
%defattr(0755,root,root)
%dir %{_datadir}/gnome/apps/Monitoring
%defattr(0644,root,root)
%config(noreplace missingok) %{_datadir}/gnome/apps/Monitoring/.directory
%{_datadir}/gnome/apps/Monitoring/ethereal.desktop
%{_datadir}/pixmaps/ethereal.png

%files kde
%defattr(0755,root,root)
%dir %{_datadir}/applnk/Monitoring
%defattr(0644,root,root)
%config(noreplace missingok) %{_datadir}/applnk/Monitoring/.directory
%{_datadir}/applnk/Monitoring/ethereal.desktop
%{_datadir}/icons/hicolor/16x16/apps/ethereal.png
%{_datadir}/icons/hicolor/22x22/apps/ethereal.png
%{_datadir}/icons/hicolor/32x32/apps/ethereal.png
%{_datadir}/icons/hicolor/48x48/apps/ethereal.png
%{_datadir}/icons/locolor/16x16/apps/ethereal.png
%{_datadir}/icons/locolor/22x22/apps/ethereal.png
%{_datadir}/icons/locolor/32x32/apps/ethereal.png
%{_datadir}/icons/locolor/48x48/apps/ethereal.png

%changelog
* Mon Dec 09 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Tue Oct 01 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.7-alt1
- New version
- Fixed:
    + Usermode bindings fixed
    + %name-usermode name is changed to %name-consolehelper

* Wed Aug 21 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.6-alt1
- Security update [CAN-2002-0834]
- Group changed to Monitoring

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.3-alt1
- Security update

* Wed Jan 23 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt1
- First build for ALT Linux

* Mon Jan 07 2002 Henri Gomez <hgomez@slib.fr>
- 0.9.0
- built on Redhat 6.2 + updates
- Too many updates to report here, take a look in NEWS

* Tue Oct 23 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.20

* Thu Jul 20 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.19
- RPM built on Redhat 6.2, updates, rpm 3.0.5 and ucd-snmpd 4.2
  against libpcap 0.6.2 (tcpdump 3.6.2) and openssl 0.9.6

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)


